#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct SavedViewsNotFoundError {
    #[builder(
        default,
        set(
            item(
                type = super::super::super::super::super::objects::scout::rids::api::SavedViewRid
            )
        )
    )]
    #[serde(
        rename = "savedViewRids",
        skip_serializing_if = "std::collections::BTreeSet::is_empty",
        default
    )]
    saved_view_rids: std::collections::BTreeSet<
        super::super::super::super::super::objects::scout::rids::api::SavedViewRid,
    >,
}
impl SavedViewsNotFoundError {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new() -> Self {
        Self::builder().build()
    }
    #[inline]
    pub fn saved_view_rids(
        &self,
    ) -> &std::collections::BTreeSet<
        super::super::super::super::super::objects::scout::rids::api::SavedViewRid,
    > {
        &self.saved_view_rids
    }
}
impl conjure_error::ErrorType for SavedViewsNotFoundError {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::NotFound
    }
    #[inline]
    fn name() -> &'static str {
        "SavedView:SavedViewsNotFoundError"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["savedViewRids"]
    }
}
